qpid::management::ManagementAgent Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions
qpid::management::ManagementAgent Class Reference

`#include <qpid/agent/ManagementAgent.h>`

List of all members.

## Classes
class | Singleton
## Public Types
enum | severity_t { SEV_EMERG = 0, SEV_ALERT = 1, SEV_CRIT = 2, SEV_ERROR = 3, SEV_WARN = 4, SEV_NOTE = 5, SEV_INFO = 6, SEV_DEBUG = 7, SEV_DEFAULT = 8 }
typedef void(* | cb_t )(void *)
## Public Member Functions
| ManagementAgent ()
virtual | ~ManagementAgent ()
virtual int | getMaxThreads ()=0
virtual void | setName (const std::string &vendor, const std::string &product, const std::string &instance="")=0
virtual void | getName (std::string &vendor, std::string &product, std::string &instance)=0
virtual const std::string & | getAddress ()=0
virtual void | init (const std::string &brokerHost="localhost", uint16_t brokerPort=5672, uint16_t intervalSeconds=10, bool useExternalThread=false, const std::string &storeFile="", const std::string &uid="", const std::string &pwd="", const std::string &mech="PLAIN", const std::string &proto="tcp")=0
virtual void | init (const management::ConnectionSettings &settings, uint16_t intervalSeconds=10, bool useExternalThread=false, const std::string &storeFile="")=0
virtual void | registerClass (const std::string &packageName, const std::string &className, uint8_t *md5Sum, management::ManagementObject::writeSchemaCall_t schemaCall)=0
virtual void | registerEvent (const std::string &packageName, const std::string &eventName, uint8_t *md5Sum, management::ManagementEvent::writeSchemaCall_t schemaCall)=0
virtual ObjectId | addObject (ManagementObject *objectPtr, uint64_t persistId=0)=0
virtual ObjectId | addObject (ManagementObject *objectPtr, const std::string &key, bool persistent=true)=0
virtual void | raiseEvent (const ManagementEvent &event, severity_t severity=SEV_DEFAULT)=0
virtual uint32_t | pollCallbacks (uint32_t callLimit=0)=0
virtual void | setSignalCallback (cb_t callback, void *context)=0
virtual void | setSignalCallback (Notifyable &notifyable)=0
virtual int | getSignalFd ()=0

## Member Typedef Documentation

typedef void(* qpid::management::ManagementAgent::cb_t)(void *)

Definition at line 197 of file ManagementAgent.h.

## Member Enumeration Documentation

enum qpid::management::ManagementAgent::severity_t

Enumerator:

  SEV_EMERG |
  SEV_ALERT |
  SEV_CRIT |
  SEV_ERROR |
  SEV_WARN |
  SEV_NOTE |
  SEV_INFO |
  SEV_DEBUG |
  SEV_DEFAULT |

Definition at line 49 of file ManagementAgent.h.

## Constructor & Destructor Documentation

qpid::management::ManagementAgent::ManagementAgent | ( |  | ) | `[inline]`

Definition at line 61 of file ManagementAgent.h.

virtual qpid::management::ManagementAgent::~ManagementAgent | ( |  | ) | `[inline, virtual]`

Definition at line 62 of file ManagementAgent.h.

## Member Function Documentation

virtual ObjectId qpid::management::ManagementAgent::addObject | ( | ManagementObject * | objectPtr,
|  | uint64_t | persistId = `0`
| ) |  | `[pure virtual]`

virtual ObjectId qpid::management::ManagementAgent::addObject | ( | ManagementObject * | objectPtr,
|  | const std::string & | key,
|  | bool | persistent = `true`
| ) |  | `[pure virtual]`

virtual const std::string& qpid::management::ManagementAgent::getAddress | ( |  | ) | `[pure virtual]`

virtual int qpid::management::ManagementAgent::getMaxThreads | ( |  | ) | `[pure virtual]`

virtual void qpid::management::ManagementAgent::getName | ( | std::string & | vendor,
|  | std::string & | product,
|  | std::string & | instance
| ) |  | `[pure virtual]`

virtual int qpid::management::ManagementAgent::getSignalFd | ( |  | ) | `[pure virtual]`

virtual void qpid::management::ManagementAgent::init | ( | const std::string & | brokerHost = `"localhost"`,
|  | uint16_t | brokerPort = `5672`,
|  | uint16_t | intervalSeconds = `10`,
|  | bool | useExternalThread = `false`,
|  | const std::string & | storeFile = `""`,
|  | const std::string & | uid = `""`,
|  | const std::string & | pwd = `""`,
|  | const std::string & | mech = `"PLAIN"`,
|  | const std::string & | proto = `"tcp"`
| ) |  | `[pure virtual]`

virtual void qpid::management::ManagementAgent::init | ( | const management::ConnectionSettings & | settings,
|  | uint16_t | intervalSeconds = `10`,
|  | bool | useExternalThread = `false`,
|  | const std::string & | storeFile = `""`
| ) |  | `[pure virtual]`

virtual uint32_t qpid::management::ManagementAgent::pollCallbacks | ( | uint32_t | callLimit = `0` | ) | `[pure virtual]`

virtual void qpid::management::ManagementAgent::raiseEvent | ( | const ManagementEvent & | event,
|  | severity_t | severity = `SEV_DEFAULT`
| ) |  | `[pure virtual]`

virtual void qpid::management::ManagementAgent::registerClass | ( | const std::string & | packageName,
|  | const std::string & | className,
|  | uint8_t * | md5Sum,
|  | management::ManagementObject::writeSchemaCall_t | schemaCall
| ) |  | `[pure virtual]`

virtual void qpid::management::ManagementAgent::registerEvent | ( | const std::string & | packageName,
|  | const std::string & | eventName,
|  | uint8_t * | md5Sum,
|  | management::ManagementEvent::writeSchemaCall_t | schemaCall
| ) |  | `[pure virtual]`

virtual void qpid::management::ManagementAgent::setName | ( | const std::string & | vendor,
|  | const std::string & | product,
|  | const std::string & | instance = `""`
| ) |  | `[pure virtual]`

virtual void qpid::management::ManagementAgent::setSignalCallback | ( | cb_t | callback,
|  | void * | context
| ) |  | `[pure virtual]`

virtual void qpid::management::ManagementAgent::setSignalCallback | ( | Notifyable & | notifyable | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- qpid/agent/ManagementAgent.h